Debian Bug report logs - #736217
ITP: gstreamer-vaapi -- VA-API plugins for GStreamer

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Vincent Cheng <vcheng@debian.org>

Date: Tue, 21 Jan 2014 06:27:02 UTC

Owned by: Vincent Cheng <vcheng@debian.org>

Severity: wishlist

Tags: pending

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, vcheng@debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#736217; Package wnpp. (Tue, 21 Jan 2014 06:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vcheng@debian.org>:
New Bug report received and forwarded. Copy sent to vcheng@debian.org, debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 21 Jan 2014 06:27:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vcheng@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: gstreamer-vaapi -- VA-API plugins for GStreamer
Date: Mon, 20 Jan 2014 22:25:05 -0800
Package: wnpp
Severity: wishlist
Owner: Vincent Cheng <vcheng@debian.org>

* Package name    : gstreamer-vaapi
  Version         : 0.5.7
  Upstream Author : Gwenole Beauchesne <gwenole.beauchesne@intel.com>
* URL             : http://gitorious.org/vaapi/gstreamer-vaapi
* License         : LGPL-2.1+
  Programming Lang: C
  Description     : VA-API plugins for GStreamer

gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
allow hardware accelerated video decoding, encoding and processing through
VA-API.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincent Cheng <vcheng@debian.org>:
Bug#736217; Package wnpp. (Tue, 21 Jan 2014 06:48:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Aaltonen <tjaalton@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincent Cheng <vcheng@debian.org>. (Tue, 21 Jan 2014 06:48:09 GMT) Full text and rfc822 format available.

Message #10 received at 736217@bugs.debian.org (full text, mbox):

From: Timo Aaltonen <tjaalton@ubuntu.com>
To: Vincent Cheng <vcheng@debian.org>, 736217@bugs.debian.org
Subject: Re: Bug#736217: ITP: gstreamer-vaapi -- VA-API plugins for GStreamer
Date: Tue, 21 Jan 2014 08:45:46 +0200
On 21.01.2014 08:25, Vincent Cheng wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Vincent Cheng <vcheng@debian.org>
> 
> * Package name    : gstreamer-vaapi
>   Version         : 0.5.7
>   Upstream Author : Gwenole Beauchesne <gwenole.beauchesne@intel.com>
> * URL             : http://gitorious.org/vaapi/gstreamer-vaapi
> * License         : LGPL-2.1+
>   Programming Lang: C
>   Description     : VA-API plugins for GStreamer
> 
> gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
> allow hardware accelerated video decoding, encoding and processing through
> VA-API.

Hi, I've had it packaged in

git://git.debian.org/git/users/tjaalton-guest/gstreamer-vaapi.git

feel free to reuse whatever you need.

-- 
t



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#736217; Package wnpp. (Tue, 21 Jan 2014 07:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vcheng@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 21 Jan 2014 07:06:05 GMT) Full text and rfc822 format available.

Message #15 received at 736217@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vcheng@debian.org>
To: Timo Aaltonen <tjaalton@ubuntu.com>
Cc: 736217@bugs.debian.org
Subject: Re: Bug#736217: ITP: gstreamer-vaapi -- VA-API plugins for GStreamer
Date: Mon, 20 Jan 2014 23:03:05 -0800
Hi Timo,

On Mon, Jan 20, 2014 at 10:45 PM, Timo Aaltonen <tjaalton@ubuntu.com> wrote:
> On 21.01.2014 08:25, Vincent Cheng wrote:
>> Package: wnpp
>> Severity: wishlist
>> Owner: Vincent Cheng <vcheng@debian.org>
>>
>> * Package name    : gstreamer-vaapi
>>   Version         : 0.5.7
>>   Upstream Author : Gwenole Beauchesne <gwenole.beauchesne@intel.com>
>> * URL             : http://gitorious.org/vaapi/gstreamer-vaapi
>> * License         : LGPL-2.1+
>>   Programming Lang: C
>>   Description     : VA-API plugins for GStreamer
>>
>> gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
>> allow hardware accelerated video decoding, encoding and processing through
>> VA-API.
>
> Hi, I've had it packaged in
>
> git://git.debian.org/git/users/tjaalton-guest/gstreamer-vaapi.git
>
> feel free to reuse whatever you need.

Thanks, that saves me quite a bit of work compared to basing off of
the current package in Ubuntu!

If it interests you, would you like to be the maintainer of
gstreamer-vaapi (and move the packaging over to collab-maint while
we're at it)? I'd be glad to just sponsor what you have; it spares me
additional work and you've already done great work on the package
anyways.

Cheers,
Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincent Cheng <vcheng@debian.org>:
Bug#736217; Package wnpp. (Tue, 21 Jan 2014 08:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Aaltonen <tjaalton@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincent Cheng <vcheng@debian.org>. (Tue, 21 Jan 2014 08:57:08 GMT) Full text and rfc822 format available.

Message #20 received at 736217@bugs.debian.org (full text, mbox):

From: Timo Aaltonen <tjaalton@ubuntu.com>
To: Vincent Cheng <vcheng@debian.org>
Cc: 736217@bugs.debian.org
Subject: Re: Bug#736217: ITP: gstreamer-vaapi -- VA-API plugins for GStreamer
Date: Tue, 21 Jan 2014 10:54:02 +0200
On 21.01.2014 09:03, Vincent Cheng wrote:
> Hi Timo,
> 
> On Mon, Jan 20, 2014 at 10:45 PM, Timo Aaltonen <tjaalton@ubuntu.com> wrote:
>> On 21.01.2014 08:25, Vincent Cheng wrote:
>>> Package: wnpp
>>> Severity: wishlist
>>> Owner: Vincent Cheng <vcheng@debian.org>
>>>
>>> * Package name    : gstreamer-vaapi
>>>   Version         : 0.5.7
>>>   Upstream Author : Gwenole Beauchesne <gwenole.beauchesne@intel.com>
>>> * URL             : http://gitorious.org/vaapi/gstreamer-vaapi
>>> * License         : LGPL-2.1+
>>>   Programming Lang: C
>>>   Description     : VA-API plugins for GStreamer
>>>
>>> gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
>>> allow hardware accelerated video decoding, encoding and processing through
>>> VA-API.
>>
>> Hi, I've had it packaged in
>>
>> git://git.debian.org/git/users/tjaalton-guest/gstreamer-vaapi.git
>>
>> feel free to reuse whatever you need.
> 
> Thanks, that saves me quite a bit of work compared to basing off of
> the current package in Ubuntu!

yeah that one is ancient.. earlier 0.5.x didn't build against gst1.0/1.2
so it got stuck at 0.3.6. Updating it to 0.5.7 is still a WIP

> If it interests you, would you like to be the maintainer of
> gstreamer-vaapi (and move the packaging over to collab-maint while
> we're at it)? I'd be glad to just sponsor what you have; it spares me
> additional work and you've already done great work on the package
> anyways.

Works for me, pushed the branches there now and renamed them to match
the "default" names (master, upstream).


-- 
t



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#736217; Package wnpp. (Wed, 22 Jan 2014 09:33:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vcheng@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 22 Jan 2014 09:33:13 GMT) Full text and rfc822 format available.

Message #25 received at 736217@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vcheng@debian.org>
To: Timo Aaltonen <tjaalton@ubuntu.com>
Cc: 736217@bugs.debian.org
Subject: Re: Bug#736217: ITP: gstreamer-vaapi -- VA-API plugins for GStreamer
Date: Wed, 22 Jan 2014 01:31:47 -0800
On Tue, Jan 21, 2014 at 12:54 AM, Timo Aaltonen <tjaalton@ubuntu.com> wrote:
> On 21.01.2014 09:03, Vincent Cheng wrote:
>> Hi Timo,
>>
>> On Mon, Jan 20, 2014 at 10:45 PM, Timo Aaltonen <tjaalton@ubuntu.com> wrote:
>>> On 21.01.2014 08:25, Vincent Cheng wrote:
>>>> Package: wnpp
>>>> Severity: wishlist
>>>> Owner: Vincent Cheng <vcheng@debian.org>
>>>>
>>>> * Package name    : gstreamer-vaapi
>>>>   Version         : 0.5.7
>>>>   Upstream Author : Gwenole Beauchesne <gwenole.beauchesne@intel.com>
>>>> * URL             : http://gitorious.org/vaapi/gstreamer-vaapi
>>>> * License         : LGPL-2.1+
>>>>   Programming Lang: C
>>>>   Description     : VA-API plugins for GStreamer
>>>>
>>>> gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
>>>> allow hardware accelerated video decoding, encoding and processing through
>>>> VA-API.
>>>
>>> Hi, I've had it packaged in
>>>
>>> git://git.debian.org/git/users/tjaalton-guest/gstreamer-vaapi.git
>>>
>>> feel free to reuse whatever you need.
>>
>> Thanks, that saves me quite a bit of work compared to basing off of
>> the current package in Ubuntu!
>
> yeah that one is ancient.. earlier 0.5.x didn't build against gst1.0/1.2
> so it got stuck at 0.3.6. Updating it to 0.5.7 is still a WIP

I've got 0.5.7 built in a clean pbuilder sid chroot (and fixed a bunch
of minor issues raised by lintian during the process). Are there any
issues blocking upload (perhaps you'd like some time to review my
changes?), or can I go ahead and upload the package now?

>> If it interests you, would you like to be the maintainer of
>> gstreamer-vaapi (and move the packaging over to collab-maint while
>> we're at it)? I'd be glad to just sponsor what you have; it spares me
>> additional work and you've already done great work on the package
>> anyways.
>
> Works for me, pushed the branches there now and renamed them to match
> the "default" names (master, upstream).

Thanks, I've gone ahead and pushed my changes there. I've also added
pkg-gstreamer-devel and myself to uploaders, but feel free to remove
them if you don't approve.

Cheers,
Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincent Cheng <vcheng@debian.org>:
Bug#736217; Package wnpp. (Wed, 22 Jan 2014 10:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Aaltonen <tjaalton@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincent Cheng <vcheng@debian.org>. (Wed, 22 Jan 2014 10:00:09 GMT) Full text and rfc822 format available.

Message #30 received at 736217@bugs.debian.org (full text, mbox):

From: Timo Aaltonen <tjaalton@ubuntu.com>
To: Vincent Cheng <vcheng@debian.org>
Cc: 736217@bugs.debian.org
Subject: Re: Bug#736217: ITP: gstreamer-vaapi -- VA-API plugins for GStreamer
Date: Wed, 22 Jan 2014 11:56:09 +0200
On 22.01.2014 11:31, Vincent Cheng wrote:
> On Tue, Jan 21, 2014 at 12:54 AM, Timo Aaltonen <tjaalton@ubuntu.com> wrote:
>> On 21.01.2014 09:03, Vincent Cheng wrote:
>>> Hi Timo,
>>>
>>> On Mon, Jan 20, 2014 at 10:45 PM, Timo Aaltonen <tjaalton@ubuntu.com> wrote:
>>>> On 21.01.2014 08:25, Vincent Cheng wrote:
>>>>> Package: wnpp
>>>>> Severity: wishlist
>>>>> Owner: Vincent Cheng <vcheng@debian.org>
>>>>>
>>>>> * Package name    : gstreamer-vaapi
>>>>>   Version         : 0.5.7
>>>>>   Upstream Author : Gwenole Beauchesne <gwenole.beauchesne@intel.com>
>>>>> * URL             : http://gitorious.org/vaapi/gstreamer-vaapi
>>>>> * License         : LGPL-2.1+
>>>>>   Programming Lang: C
>>>>>   Description     : VA-API plugins for GStreamer
>>>>>
>>>>> gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
>>>>> allow hardware accelerated video decoding, encoding and processing through
>>>>> VA-API.
>>>>
>>>> Hi, I've had it packaged in
>>>>
>>>> git://git.debian.org/git/users/tjaalton-guest/gstreamer-vaapi.git
>>>>
>>>> feel free to reuse whatever you need.
>>>
>>> Thanks, that saves me quite a bit of work compared to basing off of
>>> the current package in Ubuntu!
>>
>> yeah that one is ancient.. earlier 0.5.x didn't build against gst1.0/1.2
>> so it got stuck at 0.3.6. Updating it to 0.5.7 is still a WIP
> 
> I've got 0.5.7 built in a clean pbuilder sid chroot (and fixed a bunch
> of minor issues raised by lintian during the process). Are there any
> issues blocking upload (perhaps you'd like some time to review my
> changes?), or can I go ahead and upload the package now?

looks fine, go ahead!

>>> If it interests you, would you like to be the maintainer of
>>> gstreamer-vaapi (and move the packaging over to collab-maint while
>>> we're at it)? I'd be glad to just sponsor what you have; it spares me
>>> additional work and you've already done great work on the package
>>> anyways.
>>
>> Works for me, pushed the branches there now and renamed them to match
>> the "default" names (master, upstream).
> 
> Thanks, I've gone ahead and pushed my changes there. I've also added
> pkg-gstreamer-devel and myself to uploaders, but feel free to remove
> them if you don't approve.

nah it's great


-- 
t



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#736217; Package wnpp. (Wed, 22 Jan 2014 10:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vcheng@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 22 Jan 2014 10:03:10 GMT) Full text and rfc822 format available.

Message #35 received at 736217@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vcheng@debian.org>
To: Timo Aaltonen <tjaalton@ubuntu.com>
Cc: 736217@bugs.debian.org
Subject: Re: Bug#736217: ITP: gstreamer-vaapi -- VA-API plugins for GStreamer
Date: Wed, 22 Jan 2014 02:01:16 -0800
Control: tag -1 pending

On Wed, Jan 22, 2014 at 1:56 AM, Timo Aaltonen <tjaalton@ubuntu.com> wrote:
> On 22.01.2014 11:31, Vincent Cheng wrote:
>> On Tue, Jan 21, 2014 at 12:54 AM, Timo Aaltonen <tjaalton@ubuntu.com> wrote:
>>> On 21.01.2014 09:03, Vincent Cheng wrote:
>>>> Hi Timo,
>>>>
>>>> On Mon, Jan 20, 2014 at 10:45 PM, Timo Aaltonen <tjaalton@ubuntu.com> wrote:
>>>>> On 21.01.2014 08:25, Vincent Cheng wrote:
>>>>>> Package: wnpp
>>>>>> Severity: wishlist
>>>>>> Owner: Vincent Cheng <vcheng@debian.org>
>>>>>>
>>>>>> * Package name    : gstreamer-vaapi
>>>>>>   Version         : 0.5.7
>>>>>>   Upstream Author : Gwenole Beauchesne <gwenole.beauchesne@intel.com>
>>>>>> * URL             : http://gitorious.org/vaapi/gstreamer-vaapi
>>>>>> * License         : LGPL-2.1+
>>>>>>   Programming Lang: C
>>>>>>   Description     : VA-API plugins for GStreamer
>>>>>>
>>>>>> gstreamer-vaapi is a collection of GStreamer plugins and helper libraries that
>>>>>> allow hardware accelerated video decoding, encoding and processing through
>>>>>> VA-API.
>>>>>
>>>>> Hi, I've had it packaged in
>>>>>
>>>>> git://git.debian.org/git/users/tjaalton-guest/gstreamer-vaapi.git
>>>>>
>>>>> feel free to reuse whatever you need.
>>>>
>>>> Thanks, that saves me quite a bit of work compared to basing off of
>>>> the current package in Ubuntu!
>>>
>>> yeah that one is ancient.. earlier 0.5.x didn't build against gst1.0/1.2
>>> so it got stuck at 0.3.6. Updating it to 0.5.7 is still a WIP
>>
>> I've got 0.5.7 built in a clean pbuilder sid chroot (and fixed a bunch
>> of minor issues raised by lintian during the process). Are there any
>> issues blocking upload (perhaps you'd like some time to review my
>> changes?), or can I go ahead and upload the package now?
>
> looks fine, go ahead!

Thanks! Built, signed, and uploaded.

Vincent



Added tag(s) pending. Request was from Vincent Cheng <vcheng@debian.org> to 736217-submit@bugs.debian.org. (Wed, 22 Jan 2014 10:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Vincent Cheng <vcheng@debian.org>:
Bug#736217; Package wnpp. (Sat, 12 Apr 2014 18:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tino Mettler <tino.mettler@tikei.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Vincent Cheng <vcheng@debian.org>. (Sat, 12 Apr 2014 18:42:04 GMT) Full text and rfc822 format available.

Message #42 received at 736217@bugs.debian.org (full text, mbox):

From: Tino Mettler <tino.mettler@tikei.de>
To: 736217@bugs.debian.org
Subject: Where is the package?
Date: Sat, 12 Apr 2014 20:31:06 +0200
Hi,

what happened to the upload? I saw it in the NEW queue a while ago, but
it seems it did not enter the archive.

Regards,
Tino



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#736217; Package wnpp. (Sun, 13 Apr 2014 23:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vcheng@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 13 Apr 2014 23:57:04 GMT) Full text and rfc822 format available.

Message #47 received at 736217@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vcheng@debian.org>
To: Tino Mettler <tino.mettler@tikei.de>
Cc: 736217@bugs.debian.org
Subject: Re: Bug#736217: Where is the package?
Date: Sun, 13 Apr 2014 16:54:28 -0700
On Sat, Apr 12, 2014 at 11:31 AM, Tino Mettler <tino.mettler@tikei.de> wrote:
> Hi,
>
> what happened to the upload? I saw it in the NEW queue a while ago, but
> it seems it did not enter the archive.

It was rejected with the following rationale:

"Dear Maintainer,

unfortunately I have to reject your package.

Please add the files that are licensed under LGPL2+ to debian/copyright.
(for example ext/codecparsers/gst-libs/gst/codecparsers/gsth264parser.c)

You might also want to reconsider the naming of the package:
W: libgstreamer-vaapi1.0-0: package-name-doesnt-match-sonames
libgstvaapi-1.2-0 libgstvaapi-drm-1.2-0 libgstvaapi-glx-1.2-0 libg
stvaapi-x11-1.2-0"

Anyways, thanks for reminding me about this. I'll take a look at
gstreamer-vaapi again when I have time (probably after exams), but
you're of course welcome to help fix the above issues in the meantime.
:)

Regards,
Vincent



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:57:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.